Subject: Herbal CD

From: [email-masked] (Joe McLean)
Date: 30 Aug 1995 11:23:16 GMT

Seems to me I read a while back about a good reference CD on herbs, but I can't
remember the name of it. Can anyone recomend a good reference CD on herbs?